import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {FormBuilder} from "@angular/forms";

@Component({
  selector: 'app-bon-document-assoc',
  templateUrl: './bon-document-assoc.component.html',
  styleUrls: ['./bon-document-assoc.component.scss']
})
export class BonDocumentAssocComponent implements OnInit {

  @Input() flowType: "bon-reception" | "bon-livraison" | "transfer-de-stock" | undefined;

  private _readOnly: boolean = false;
  get readOnly(): any { return this._readOnly }
  @Input() set readOnly(readOnly: any) {
    if(readOnly) {
      this.documentAssocieForm.get('DOCUMENTS')?.disable({ onlySelf: true });
    }

    this._readOnly = readOnly;
  }

  documentAssocieForm = this.formBuilder.group({
    DOCUMENTS: ["", { updateOn: 'blur' }]
  });

  private _documentAssocie: string = "";
  get documentAssocie() { return this._documentAssocie }
  @Input() set documentAssocie(documentAssocie: string) {
    if(documentAssocie !== undefined && documentAssocie !== null) {
      this.documentAssocieForm.get("DOCUMENTS")?.setValue(documentAssocie);
    }

    this.documentAssocieChange.emit(this._documentAssocie = documentAssocie);
  }
  @Output() documentAssocieChange: EventEmitter<string> = new EventEmitter<string>();

  constructor(private formBuilder: FormBuilder) { }

  ngOnInit(): void {
    this.documentAssocieForm.get("DOCUMENTS")?.valueChanges.subscribe(
      (val: string) => {
        setTimeout(() => {
          this.documentAssocieChange.emit(val);
        })
      }
    );
  }

}
