import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {BonClientComponent} from "./bon-client/bon-client.component";
import {MatToolbarModule} from "@angular/material/toolbar";
import {MatSidenavModule} from "@angular/material/sidenav";
import {MatButtonModule} from "@angular/material/button";
import {MatCardModule} from "@angular/material/card";
import {MatDividerModule} from "@angular/material/divider";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatIconModule} from "@angular/material/icon";
import {MatSelectModule} from "@angular/material/select";
import {MatInputModule} from "@angular/material/input";
import {MatAutocompleteModule} from "@angular/material/autocomplete";
import {MatDialogModule} from "@angular/material/dialog";
import {MatMomentDateModule} from "@angular/material-moment-adapter";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import { BonDocumentAssocComponent } from './bon-document-assoc/bon-document-assoc.component';
import { FusionnerTypeComponent } from './fusionner-type/fusionner-type.component';
import {MatListModule} from "@angular/material/list";
import {TranslateModule} from "@ngx-translate/core";
import {MatCheckboxModule} from "@angular/material/checkbox";
import { SelectionCopyTypeComponent } from './selection-copy-type/selection-copy-type.component';
import { BonLinkedDocumentsComponent } from './bon-linked-documents/bon-linked-documents.component';
import {RouterModule} from "@angular/router";
import {CustomPipesModule} from "../_pipes/custom-pipes.module";
import { HistoriqueComponent } from './historique/historique.component';
import { QuickSearchComponent } from '../pages/quick-search/quick-search.component';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import {ReportingComponent} from "../pages/reporting/reporting.component";
import {NgxMatSelectSearchModule} from "ngx-mat-select-search";

@NgModule({
  declarations: [
    BonClientComponent,
    BonDocumentAssocComponent,
    FusionnerTypeComponent,
    SelectionCopyTypeComponent,
    BonLinkedDocumentsComponent,
    HistoriqueComponent,
    ReportingComponent,
    QuickSearchComponent
  ],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    MatDialogModule,
    MatMomentDateModule,
    MatListModule,
    MatCheckboxModule,
    TranslateModule,
    CustomPipesModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule
  ],
    exports: [
        BonClientComponent,
        BonDocumentAssocComponent,
        BonLinkedDocumentsComponent,
        ReportingComponent,
        QuickSearchComponent
    ]
})
export class ComponentsModule { }
