import {Directive, HostListener, Input} from '@angular/core';
import {Location} from "@angular/common";
import {Router} from "@angular/router";

@Directive({
  selector: '[backButton]'
})
export class BackButtonDirective {

  @Input() defaultRoute = "..";

  constructor(private location: Location,
              private router: Router) { }

  get canGoBack() {
    return !!(this.router.getCurrentNavigation()?.previousNavigation);
  }

  @HostListener('click')
  onClick() {
    if(this.canGoBack) {
      this.location.back();
    } else {
      this.router.navigate([this.defaultRoute]);
    }
  }

}
