import {AbstractControl, ValidationErrors, ValidatorFn} from "@angular/forms";


export const customInventorySerialValidator: ValidatorFn = (control: AbstractControl): ValidationErrors | null => {
  const NEW_SERIALS_LIST = control.get('SERIALS_LIST');
  const REMOVE_SERIALS_LIST = control.get('REMOVED_SERIALS_LIST');

  return NEW_SERIALS_LIST && REMOVE_SERIALS_LIST && ((NEW_SERIALS_LIST.value === '' || NEW_SERIALS_LIST.value.length === 0) && (REMOVE_SERIALS_LIST.value === '' || REMOVE_SERIALS_LIST.value.length === 0)) ? { emptySerials: true } : null;
};
