import { Directive } from '@angular/core';
import { MAT_MOMENT_DATE_ADAPTER_OPTIONS, MomentDateAdapter } from '@angular/material-moment-adapter';
import { DateAdapter, MAT_DATE_FORMATS, MAT_DATE_LOCALE } from '@angular/material/core';
import { CUSTOM_MONTH_AND_YEAR_FORMATS } from '../_helpers/custom-date-formats';

@Directive({
  selector: '[appMonthformat]',
  providers: [
    {
      provide: DateAdapter,
      useClass: MomentDateAdapter,
      deps: [MAT_DATE_LOCALE, MAT_MOMENT_DATE_ADAPTER_OPTIONS],
    },
    
    {provide: MAT_DATE_FORMATS, useValue: CUSTOM_MONTH_AND_YEAR_FORMATS},
  ],
})
export class MonthformatDirective {

  constructor() { }

}
