export class APP_CONSTANTS {
  public static DEFAULT_LANG = "fr";
  public static HOME_ROUTE = "/dashboard";

  public static PREFERRED_TEL_COUNTRIES = ["fr", "us"];

  public static EMAIL_PATTERN = '^[a-z0-9._%+-]+@([a-z0-9.-]{3,})+\\.[a-z]{2,}$'

  public static STATISTICSTYPE = [
    {label: 'KDASHBOARD_FILTER_WEEK', value: 'week'},
    {label: 'KDASHBOARD_FILTER_MONTH', value: 'month'},
    {label: 'KDASHBOARD_FILTER_YEAR', value: 'year'},
  ]

  public static SETTINGS_STATUS_YES = 1;
  public static SETTINGS_STATUS_NO = 0;

  public static SETTINGS_TLS_STATUS = [
    {
      value: this.SETTINGS_STATUS_YES,
      label: "KYES"
    },
    {
      value: this.SETTINGS_STATUS_NO,
      label: "KNO"
    }
  ];

  public static TOKEN_KEY = 'auth-token';
  public static USER_KEY = 'auth-user';
  public static REFRESHTOKEN_KEY = 'auth-refreshtoken';
  public static USER_ROLE_PERMISSION_KEY = 'user_role_permission';

  public static SEMAINES_DAYS = [
    {label: 'KSUNDAY', value: 'sunday', status: false},
    {label: 'KMONDAY', value: 'monday', status: false},
    {label: 'KTUESDAY', value: 'tuesday', status: false},
    {label: 'KWEDNESDAY', value: 'wednesday', status: false},
    {label: 'KTHURSDAY', value: 'thursday', status: false},
    {label: 'KFRIDAY', value: 'friday', status: false},
    {label: 'KSATURDAY', value: 'saturday', status: false},
  ];
  public static MOIS = [
    {label: 'KJAN', value: 'jan', status: false},
    {label: 'KFEB', value: 'feb', status: false},
    {label: 'KMAR', value: 'mar', status: false},
    {label: 'KAPR', value: 'apr', status: false},
    {label: 'KMAY', value: 'may', status: false},
    {label: 'KJUN', value: 'jun', status: false},
    {label: 'KJUL', value: 'jul', status: false},
    {label: 'KAUG', value: 'aug', status: false},
    {label: 'KSEP', value: 'sep', status: false},
    {label: 'KOCT', value: 'oct', status: false},
    {label: 'KNOV', value: 'nov', status: false},
    {label: 'KDEC', value: 'dec', status: false}
  ]
  public static MOIS_DAY = [
    {label: '01', value: '01', status: false},
    {label: '02', value: '02', status: false},
    {label: '03', value: '03', status: false},
    {label: '04', value: '04', status: false},
    {label: '05', value: '05', status: false},
    {label: '06', value: '06', status: false},
    {label: '07', value: '07', status: false},
    {label: '08', value: '08', status: false},
    {label: '09', value: '09', status: false},
    {label: '10', value: '10', status: false},
    {label: '11', value: '11', status: false},
    {label: '12', value: '12', status: false},
    {label: '13', value: '13', status: false},
    {label: '14', value: '14', status: false},
    {label: '15', value: '15', status: false},
    {label: '16', value: '16', status: false},
    {label: '17', value: '17', status: false},
    {label: '18', value: '18', status: false},
    {label: '19', value: '19', status: false},
    {label: '20', value: '20', status: false},
    {label: '21', value: '21', status: false},
    {label: '22', value: '22', status: false},
    {label: '23', value: '23', status: false},
    {label: '24', value: '24', status: false},
    {label: '25', value: '25', status: false},
    {label: '26', value: '26', status: false},
    {label: '27', value: '27', status: false},
    {label: '28', value: '28', status: false},
    {label: '29', value: '29', status: false},
    {label: '30', value: '30', status: false},
    {label: '31', value: '31', status: false}
  ]
  public static DOCUMENT_QUICK_SEARCH_VALIDATION_YES = -1;
  public static DOCUMENT_QUICK_SEARCH_VALIDATION_NO = 0;

  public static REPORTING_PLANIFICATION_IN_ACTIVE = 0;
  public static REPORTING_PLANIFICATION_ACTIVE = -1;
  public static REPORTING_PLANIFICATION_STATUS = [
    {
      value: this.REPORTING_PLANIFICATION_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.REPORTING_PLANIFICATION_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static PASSWORD_MIN_LENGTH = 5;
  public static PASSWORD_MAX_LENGTH = 16;
  public static USER_NAME_MIN_LENGTH = 3;
  public static USER_NAME_MAX_LENGTH = 180;
  public static USER_TELEPHONE_MIN_LENGTH = 3;
  public static USER_TELEPHONE_MAX_LENGTH = 50;

  public static RETURN_DAYS_MAX_LENGTH = 4;

  public static DOCUMENT_TYPE_RECEPTION = "reception";
  public static DOCUMENT_TYPE_LIVRAISON = "livraison";
  public static DOCUMENT_TYPE_ACHAT = "achat";
  public static DOCUMENT_TYPE_ATTENDUE = "attendue";
  public static DOCUMENT_TYPE_INVENTORY = "inventaire";
  public static DOCUMENT_TYPE_TOURNANT = "tournant";
  public static DOCUMENT_TYPE_TRANSFER_STOCK = "transfer_stock";

  public static ASSURANCE_MIN_LENGTH = 1;
  public static ASSURANCE_MAX_LENGTH = 20;

  public static INTEGER_MASK = {
    mask: /^\d+$/,
    scale: 0,
    signed: false,
    padFractionalZeros: false,
    normalizeZeros: false,
    radix: ',',
    mapToRadix: ["."]
  };

  public static SERIAL_MASK = {
    mask: /^[a-zA-Z0-9]+$/,
    prepare: function (str: string) {
      return str.toUpperCase();
    },
    scale: 0,
    signed: false,
    padFractionalZeros: false,
    normalizeZeros: false,
    radix: ',',
    mapToRadix: ["."]
  };

  public static USER_NAME_MASK = {
    mask: /^[a-zA-Z0-9_]+$/,
    scale: 0,
    signed: false,
    padFractionalZeros: false,
    normalizeZeros: false,
    radix: ',',
    mapToRadix: ["."]
  };

  public static ROLE_NAME_MASK = {
    mask: /./g,
    scale: 0,
    signed: false,
    padFractionalZeros: false,
    normalizeZeros: false,
    radix: ',',
    mapToRadix: ["."]
  };

  // User Management Secondary Telephone Field Pattern.
  public static SECONDARY_TELEPHONE = {
    mask: /^[0-9+]+$/,
    scale: 0,
    signed: false,
    padFractionalZeros: false,
    normalizeZeros: false,
    radix: ',',
    mapToRadix: ["."]
  };

  public static DECIMAL_MASK = {
    mask: Number,
    scale: 2,
    signed: false,
    padFractionalZeros: true,
    normalizeZeros: true,
    radix: ',',
    mapToRadix: ['.']
  };

  public static ARTICLE_LABEL_MIN_LENGTH = 3;
  public static ARTICLE_LABEL_MAX_LENGTH = 100;
  public static ARTICLE_DESC_MIN_LENGTH = 3;
  public static ARTICLE_DESC_MAX_LENGTH = 100;
  public static ARTICLE_TRACE_MIN_LENGTH = 3;
  public static ARTICLE_POID_MIN_LENGTH = 0;
  public static ARTICLE_POID_MAX_LENGTH = 20;
  public static ARTICLE_REF_MIN_LENGTH = 0;
  public static ARTICLE_REF_MAX_LENGTH = 50;
  public static ARTICLE_CONSREF_MIN_LENGTH = 0;
  public static ARTICLE_CONSREF_MAX_LENGTH = 50;
  public static ARTICLE_TRACE_MAX_LENGTH = 50;
  public static ARTPRIXVENTE_MIN_LENGTH = 1;
  public static ARTICLE_APR1RECP_MIN_LENGTH = 0;
  public static ARTICLE_APR1RECP_MAX_LENGTH = 100;
  public static ARTPRIXVENTE_MAX_LENGTH = 20;
  public static MIN_NUM_PATTERN = '^[1-9][0-9]*$';
  public static ARTICLE_REFERENCE_FACTURE_MAX_LENGTH = 100;

  public static CONTACT_NOM_MIN_LENGTH = 3;
  public static CONTACT_NOM_MAX_LENGTH = 100;
  public static CONTACT_TEL_MIN_LENGTH = 10;
  public static CONTACT_TEL_MAX_LENGTH = 50;

  public static CONTACT_POSTE_MIN_LENGTH = 3;
  public static CONTACT_POSTE_MAX_LENGTH = 100;

  public static BRAND_NOM_MIN_LENGTH = 3;
  public static BRAND_NOM_MAX_LENGTH = 100;
  public static BRAND_TEL_MIN_LENGTH = 10;
  public static BRAND_TEL_MAX_LENGTH = 50;

  public static BRAND_CONTRACT_MAX_LENGTH = 100;

  public static STORE_NOM_MIN_LENGTH = 3;
  public static STORE_NOM_MAX_LENGTH = 100;
  public static STORE_ADDRESS_MIN_LENGTH = 3;
  public static STORE_ADDRESS_MAX_LENGTH = 100;
  public static STORE_CP_MIN_LENGTH = 1;
  public static STORE_CP_MAX_LENGTH = 100;
  public static STORE_PAYS_MIN_LENGTH = 1;
  public static STORE_PAYS_MAX_LENGTH = 100;
  public static STORE_VILLE_MIN_LENGTH = 2;
  public static STORE_VILLE_MAX_LENGTH = 100;

  public static SERIAL_MIN_LENGTH = 4;
  public static SERIAL_MAX_LENGTH = 25;

  public static STOCK_LOCATION_LABEL_MIN_LENGTH = 3;
  public static STOCK_LOCATION_LABEL_MAX_LENGTH = 100;
  public static STOCK_LOCATION_STATUS_ACTIVE = -1;
  public static STOCK_LOCATION_STATUS_IN_ACTIVE = 0;
  public static STOCK_LOCATION_STATUS = [
    {
      value: this.STOCK_LOCATION_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.STOCK_LOCATION_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static LIGNE_LABEL_MIN_LENGTH = 3;
  public static LIGNE_LABEL_MAX_LENGTH = 100;
  public static LIGNE_STATUS_ACTIVE = -1;
  public static LIGNE_STATUS_IN_ACTIVE = 0;
  public static LIGNE_INFO_STATUS = [
    {
      value: this.LIGNE_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.LIGNE_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static USER_SUPER_ADMIN_STATUS_ACTIVE = -1;
  public static USER_SUPER_ADMIN_STATUS_IN_ACTIVE = 0;
  public static USER_DELETED_STATUS = -1; 
  public static USER_STATUS_ACTIVE = -1;
  public static USER_STATUS_IN_ACTIVE = 0;
  public static USER_INFO_STATUS = [
    {
      value: this.USER_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.USER_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static USER_ROLE_STATUS_ACTIVE = -1;
  public static USER_ROLE_STATUS_IN_ACTIVE = 0;
  public static USER_ROLE_INFO_STATUS = [
    {
      value: this.USER_ROLE_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.USER_ROLE_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static TYPE_DE_MATERIAL_ACTIVE_YES = -1;
  public static TYPE_DE_MATERIAL_ACTIVE_NO = 0;
  public static TYPE_DE_MATERIAL_ACTIVE_STATUS = [
    {
      value: this.TYPE_DE_MATERIAL_ACTIVE_YES,
      label: "KYES"
    },
    {
      value: this.TYPE_DE_MATERIAL_ACTIVE_NO,
      label: "KNO"
    }
  ];

  public static TYPE_DE_MATERIAL_ACTIVE = -1;
  public static TYPE_DE_MATERIAL_IN_ACTIVE = 0;
  public static TYPE_DE_MATERIAL_LABEL_MIN_LENGTH = 3;
  public static TYPE_DE_MATERIAL_LABEL_MAX_LENGTH = 50;
  public static TYPE_DE_MATERIAL_STATUS = [
    {
      value: this.TYPE_DE_MATERIAL_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.TYPE_DE_MATERIAL_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static LIVRAISON_PRESTATION_ACTIVE = -1;
  public static LIVRAISON_PRESTATION_IN_ACTIVE = 0;
  public static LIVRAISON_PRESTATION_LABEL_MIN_LENGTH = 3;
  public static LIVRAISON_PRESTATION_LABEL_MAX_LENGTH = 50;
  public static LIVRAISON_PRESTATION_STATUS = [
    {
      value: this.LIVRAISON_PRESTATION_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.LIVRAISON_PRESTATION_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static LIVRAISON_PRESTATION_PENDING_YES = -1;
  public static LIVRAISON_PRESTATION_PENDING_NO = 0;
  public static LIVRAISON_PRESTATION_PENDING_STATUS = [
    {
      value: this.LIVRAISON_PRESTATION_PENDING_YES,
      label: "KYES"
    },
    {
      value: this.LIVRAISON_PRESTATION_PENDING_NO,
      label: "KNO"
    }
  ];

  public static FABRIQUANT_LABEL_MIN_LENGTH = 3;
  public static FABRIQUANT_LABEL_MAX_LENGTH = 50;
  public static FABRIQUANT_ACTIVE = -1;
  public static FABRIQUANT_IN_ACTIVE = 1;
  public static FABRIQUANT_STATUS = [
    {
      value: this.FABRIQUANT_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.FABRIQUANT_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static ARTICLE_CATEGORY_LABEL_MIN_LENGTH = 3;
  public static ARTICLE_CATEGORY_LABEL_MAX_LENGTH = 50;
  public static ARTICLE_CATEGORY_ACTIVE = -1;
  public static ARTICLE_CATEGORY_IN_ACTIVE = 1;
  public static ARTICLE_CATEGORY_STATUS = [
    {
      value: this.ARTICLE_CATEGORY_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.ARTICLE_CATEGORY_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static SERVICE_EXPEDITION_STATUS_ACTIVE = -1;
  public static SERVICE_EXPEDITION_STATUS_IN_ACTIVE = 0;
  public static SERVICE_EXPEDITION_LEBAL_MIN_LENGTH =3;
  public static SERVICE_EXPEDITION_LEBAL_MAX_LENGTH =100;
  public static SERVICE_EXPEDITION_CODE_MIN_LENGTH =1;
  public static SERVICE_EXPEDITION_CODE_MAX_LENGTH =1;
  public static SERVICE_EXPEDITION_INFO_STATUS = [
    {
      value: this.SERVICE_EXPEDITION_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.SERVICE_EXPEDITION_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static DEPOT_TNT_STATUS_ACTIVE = -1;
  public static DEPOT_TNT_STATUS_IN_ACTIVE = 0;
  public static DEPOT_TNT_LABEL_MIN_LENGTH = 3;
  public static DEPOT_TNT_LABEL_MAX_LENGTH = 100;
  public static DEPOT_TNT_ADDRESS_MIN_LENGTH = 5;
  public static DEPOT_TNT_ADDRESS_MAX_LENGTH = 255;
  public static DEPOT_TNT_POSTAL_CODE_MIN_LENGTH = 1;
  public static DEPOT_TNT_POSTAL_CODE_MAX_LENGTH = 15;
  public static DEPOT_TNT_VILLE_MIN_LENGTH = 2;
  public static DEPOT_TNT_VILLE_MAX_LENGTH = 100;
  public static DEPOT_TNT_PAYS_MIN_LENGTH = 1;
  public static DEPOT_TNT_PAYS_MAX_LENGTH = 100;
  public static DEPOT_TNT_INFO_STATUS = [
    {
      value: this.DEPOT_TNT_STATUS_ACTIVE,
      label: "KACTIVE"
    },
    {
      value: this.DEPOT_TNT_STATUS_IN_ACTIVE,
      label: "KIN_ACTIVE"
    }
  ];

  public static UPLOAD_METHOD_TYPE = [
    {
      value: 'ftp',
      label: "KFTP"
    },
    {
      value: 'shared_folder',
      label: "KSHARED_FOLDER"
    }
  ];

  public static FTP_SSL_VALUE = [
    {
      value: true,
      label: "KYES"
    },
    {
      value: false,
      label: "KNO"
    }
  ];

  public static FUSIONNER_X_TO_Y = 'x_to_y';
  public static FUSIONNER_Y_TO_X = 'y_to_x';
  public static FUSIONNER_BOTH = 'both';

  public static SELECTION_ACHAT_TO_BR = 'ACHAT_TO_BR';
  public static SELECTION_BR_TO_BL = 'BR_TO_BL';
  public static SELECTION_BL_TO_BR = 'BL_TO_BR';
  public static SELECTION_BR_TO_TR = 'BR_TO_TR';
  public static SELECTION_TR_TO_BL = 'TR_TO_BL';
  public static SELECTION_TYPES_LIST = [
    {
      label: "KCOPY_ITEM_TO_LIVRAISON",
      value: this.SELECTION_BR_TO_BL
    },
    {
      label: "KCOPY_ITEM_TO_RECPETION",
      value: this.SELECTION_BL_TO_BR
    },
    {
      label: "KCOPY_ITEM_TO_LIVRAISON",
      value: this.SELECTION_TR_TO_BL
    },
    {
      label: "KCOPY_ITEM_TO_TDS",
      value: this.SELECTION_BR_TO_TR
    },
  ];

  public static REPORTING_TYPE_STOCK_STATUS = 'stock_status';
  public static REPORTING_TYPE_STOCK_MOVEMENT = 'stock_history';
  public static REPORTING_TYPE_STOCK_VALUATION = 'stock_valuation';

  public static REPORTING_DISPLAY_TYPE_LIST = 'result';
  public static REPORTING_DISPLAY_TYPE_DOWNLOAD = 'file';

  public static OCCASION_SEPARATOR = '~#~';
  public static BLOCK_SERIALS_SEPARATOR = '~#~';

  public static STORE_HQ_STAT_YES = -1;
  public static STORE_HQ_STAT_NO = 0;
  public static STORE_HQ_STATUS = [
    {
      label: 'KYES',
      value: APP_CONSTANTS.STORE_HQ_STAT_YES
    },{
      label: 'KNO',
      value: APP_CONSTANTS.STORE_HQ_STAT_NO
    }
  ]

  public static LIVRAISON_ARTICLE_RETURN_STAT_YES = -1;
  public static LIVRAISON_ARTICLE_RETURN_STAT_NO = 0;
  public static LIVRAISON_ARTICLE_RETURN_STATUS = [
    {
      label: 'KYES',
      value: APP_CONSTANTS.LIVRAISON_ARTICLE_RETURN_STAT_YES
    },{
      label: 'KNO',
      value: APP_CONSTANTS.LIVRAISON_ARTICLE_RETURN_STAT_NO
    }
  ]

  public static PRET_MATERIEL_STAT_YES = -1;
  public static PRET_MATERIEL_STAT_NO = 0;
  public static PRET_MATERIEL_STATUS = [
    {
      label: 'KYES',
      value: APP_CONSTANTS.PRET_MATERIEL_STAT_YES
    },{
      label: 'KNO',
      value: APP_CONSTANTS.PRET_MATERIEL_STAT_NO
    }
  ]

  public static SAV_STAT_YES = -1;
  public static SAV_STAT_NO = 0;
  public static SAV_STATUS = [
    {
      label: 'KYES',
      value: APP_CONSTANTS.SAV_STAT_YES
    },{
      label: 'KNO',
      value: APP_CONSTANTS.SAV_STAT_NO
    }
  ]

  public static INVENTORY_VALIDATION_STAT_YES = -1;
  public static INVENTORY_VALIDATION_STAT_NO = 0;

  public static INVENTORY_STATUS = [
    {
      label: 'KINVENTORY_VALIDATED',
      value: APP_CONSTANTS.INVENTORY_VALIDATION_STAT_YES
    },{
      label: 'KINVENTORY_PROGRESS',
      value: APP_CONSTANTS.INVENTORY_VALIDATION_STAT_NO
    }
  ]

  public static INVENTORY_TOURNANT_VALIDATION_STAT_YES = -1;
  public static INVENTORY_TOURNANT_VALIDATION_STAT_NO = 0;

  public static INVENTORY_TOURNANT_STATUS = [
    {
      label: 'KTOURNANT_STATUS_VALIDATED',
      value: APP_CONSTANTS.INVENTORY_TOURNANT_VALIDATION_STAT_YES
    },{
      label: 'KTOURNANT_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.INVENTORY_TOURNANT_VALIDATION_STAT_NO
    }
  ]
  public static INVENTORY_TOURNANT_MIN_AMOUNT_MIN_LENGTH = 1;
  public static INVENTORY_TOURNANT_MIN_AMOUNT_MAX_LENGTH = 20;
  public static INVENTORY_TOURNANT_ARTICLE_COUNT = [
    {
      label: 5,
      value: 5
    },{
      label: 10,
      value: 10
    },{
      label: 15,
      value: 15
    },{
      label: 20,
      value: 20
    }
  ]

  public static TRANSFER_DE_STOCK_VALIDATION_STAT_YES = -1;
  public static TRANSFER_DE_STOCK_VALIDATION_STAT_NO = 0;

  public static TRANSFER_DE_STOCK_VALIDATION_STATUS = [
    {
      label: 'KTRANSFER_STOCK_STATUS_VALIDATED',
      value: APP_CONSTANTS.TRANSFER_DE_STOCK_VALIDATION_STAT_YES
    },{
      label: 'KTRANSFER_STOCK_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.TRANSFER_DE_STOCK_VALIDATION_STAT_NO
    }
  ]

  public static LIVRAISON_VALIDATION_STAT_YES = -1;
  public static LIVRAISON_VALIDATION_STAT_NO = 0;

  public static LIVRAISON_STATUS = [
    {
      label: 'KLIVRAISON_STATUS_VALIDATED',
      value: APP_CONSTANTS.LIVRAISON_VALIDATION_STAT_YES
    },{
      label: 'KLIVRAISON_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.LIVRAISON_VALIDATION_STAT_NO
    }
  ]

  public static RECEPTION_VALIDATION_STAT_YES = -1;
  public static RECEPTION_VALIDATION_STAT_NO = 0;

  public static RECEPTION_STATUS = [
    {
      label: 'KRECEPTION_STATUS_VALIDATED',
      value: APP_CONSTANTS.RECEPTION_VALIDATION_STAT_YES
    },{
      label: 'KRECEPTION_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.RECEPTION_VALIDATION_STAT_NO
    }
  ]

  public static ACHAT_DOCUMENT_STATUS_PENDING = 0;
  public static ACHAT_DOCUMENT_STATUS_INPROGRESS = 1;
  public static ACHAT_DOCUMENT_STATUS_VALIDATED = 2;
  public static ACHAT_DOCUMENT_STATUS_CANCELLED = 3;
  public static ACHAT_DOCUMENT_STATUS_INVOICED = 4;
  public static ACHAT_DOCUMENT_STATUS = [
    {
      label: 'KACHAT_STATUS_PENDING',
      value: APP_CONSTANTS.ACHAT_DOCUMENT_STATUS_PENDING
    },
    {
      label: 'KACHAT_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.ACHAT_DOCUMENT_STATUS_INPROGRESS
    },
    {
      label: 'KACHAT_STATUS_VALIDATED',
      value: APP_CONSTANTS.ACHAT_DOCUMENT_STATUS_VALIDATED
    },
    {
      label: 'KACHAT_STATUS_CANCELLED',
      value: APP_CONSTANTS.ACHAT_DOCUMENT_STATUS_CANCELLED
    },
    {
      label: 'KACHAT_STATUS_INVOICED',
      value: APP_CONSTANTS.ACHAT_DOCUMENT_STATUS_INVOICED
    }
  ]

  public static ATTENDUE_STATUS_PENDING = 0;
  public static ATTENDUE_DOCUMENT_STATUS_INPROGRESS = 1;
  public static ATTENDUE_DOCUMENT_STATUS_VALIDATED = 2;
  public static ATTENDUE_DOCUMENT_STATUS_CANCELLED = 3;
  public static ATTENDUE_DOCUMENT_STATUS_INVOICED = 4;
  public static ATTENDUE_DOCUMENT_STATUS = [
    {
      label: 'KATTENDUE_STATUS_PENDING',
      value: APP_CONSTANTS.ATTENDUE_STATUS_PENDING
    },
    {
      label: 'KATTENDUE_STATUS_IN_PROGRESS',
      value: APP_CONSTANTS.ATTENDUE_DOCUMENT_STATUS_INPROGRESS
    },
    {
      label: 'KATTENDUE_STATUS_VALIDATED',
      value: APP_CONSTANTS.ATTENDUE_DOCUMENT_STATUS_VALIDATED
    },
    {
      label: 'KATTENDUE_STATUS_CANCELLED',
      value: APP_CONSTANTS.ATTENDUE_DOCUMENT_STATUS_CANCELLED
    },
    {
      label: 'KATTENDUE_STATUS_INVOICED',
      value: APP_CONSTANTS.ATTENDUE_DOCUMENT_STATUS_INVOICED
    }
  ]

  public static PRIX_DE_VENTE_MIN_LENGTH = 0;
  public static PRIX_DE_VENTE_MAX_LENGTH = 15;

  public static ACHAT_ITEM_STATUS_PENDING = 0;
  public static ACHAT_ITEM_STATUS_INPROGRESS = 1;
  public static ACHAT_ITEM_STATUS_VALIDATED = 2;
  public static ACHAT_ITEM_STATUS_CANCELLED = 3;
  public static ACHAT_ITEM_STATUS = [
    {
      value: this.ACHAT_ITEM_STATUS_PENDING,
      label: "KACHAT_ITEM_PENDING"
    },
    {
      value: this.ACHAT_ITEM_STATUS_INPROGRESS,
      label: "KACHAT_ITEM_INPROGRESS"
    },
    {
      value: this.ACHAT_ITEM_STATUS_VALIDATED,
      label: "KACHAT_ITEM_VALIDATED"
    },
    {
      value: this.ACHAT_ITEM_STATUS_CANCELLED,
      label: "KACHAT_ITEM_CANCELLED"
    }
  ];

  public static CACHE_CONTACT_LIST = "CONTACT_LIST";
  public static CACHE_CONTACT_LIST_FORM = "CONTACT_LIST_FORM";

  public static CACHE_STOCK_LOCATION_LIST = "STOCK_LOCATION_LIST";
  public static CACHE_STOCK_LOCATIONT_LIST_FORM = "STOCK_LOCATION_LIST_FORM";

  public static CACHE_FABRIQUANT_LIST = "FABRIQUANT_LIST";
  public static CACHE_FABRIQUANT_LIST_FORM = "FABRIQUANT_LIST_FORM";

  public static CACHE_ARTICLE_CATEGORY_LIST = "ARTICLE_CATEGORY_LIST";
  public static CACHE_ARTICLE_CATEGORY_LIST_FORM = "ARTICLE_CATEGORY_LIST_FORM";

  public static CACHE_LIGNE_LIST = "LIGNE_LIST";
  public static CACHE_LIGNE_LIST_FORM = "LIGNE_LIST_FORM";

  public static CACHE_TYPE_DE_MATERIAL_LIST = "TYPE_DE_MATERIAL_LIST";
  public static CACHE_TYPE_DE_MATERIAL_LIST_FORM = "TYPE_DE_MATERIAL_LIST_FORM";

  public static CACHE_LIVRAISON_PRESTATION_LIST = "LIVRAISON_PRESTATION_LIST";
  public static CACHE_LIVRAISON_PRESTATION_LIST_FORM = "LIVRAISON_PRESTATION_LIST_FORM";

  public static CACHE_DEPOT_TNT_LIST = "DEPOT_TNT_LIST";
  public static CACHE_DEPOT_TNT_LIST_FORM = "DEPOT_TNT_LIST_FORM";

  public static CACHE_ROLE_LIST = "ROLE_LIST";
  public static CACHE_ROLE_LIST_FORM = "ROLE_LIST_FORM";

  public static CACHE_SERVICE_EXPEDITION_LIST = "SERVICE_EXPEDITION_LIST";
  public static CACHE_SERVICE_EXPEDITION_LIST_FORM = "SERVICE_EXPEDITION_LIST_FORM";

  public static CACHE_USER_MANAGEMENT_LIST = "USER_MANAGEMENT_LIST";
  public static CACHE_USER_MANAGEMENT_LIST_FORM = "USER_MANAGEMENT_LIST_FORM";

  public static CACHE_REPORTING_PLANIFICATION_LIST = "REPORTING_PLANIFICATION_LIST";
  public static CACHE_REPORTING_PLANIFICATION_LIST_FORM = "REPORTING_PLANIFICATION_LIST_FORM";

  public static CACHE_QUICK_SEARCH_LIST = "QUICK_SEARCH_LIST";
  public static CACHE_QUICK_SEARCH_LIST_FORM = "QUICK_SEARCH_LIST_FORM";

  public static CACHE_ARTICLE_LIST = "ARTICLE_LIST";
  public static CACHE_ARTICLE_LIST_FORM = "ARTICLE_LIST_FORM";

  public static CACHE_LIVRAISON_LIST = "LIVRAISON_LIST";
  public static CACHE_LIVRAISON_LIST_FORM = "LIVRAISON_LIST_FORM";

  public static CACHE_RECEPTION_LIST = "RECEPTION_LIST";
  public static CACHE_RECEPTION_LIST_FORM = "RECEPTION_LIST_FORM";

  public static CACHE_TRANSFERT_DE_STOCK_LIST = "TRANSFERT_DE_STOCK_LIST";
  public static CACHE_TRANSFERT_DE_STOCK_LIST_FORM = "TRANSFERT_DE_STOCK_LIST_FORM";

  public static CACHE_INVENTAIRE_LIST = "INVENTAIRE_LIST";
  public static CACHE_INVENTAIRE_LIST_FORM = "INVENTAIRE_LIST_FORM";

  public static CACHE_INVENTAIRE_TOURNANT_LIST = "INVENTAIRE_TOURNANT_LIST";
  public static CACHE_INVENTAIRE_TOURNANT_LIST_FORM = "INVENTAIRE_TOURNANT_LIST_FORM";

  public static CACHE_ACHAT_LIST = "ACHAT_LIST";
  public static CACHE_ACHAT_LIST_FORM = "ACHAT_LIST_FORM";

  public static CACHE_ATTENDUE_LIST = "ATTENDUE_LIST";
  public static CACHE_ATTENDUE_LIST_FORM = "ATTENDUE_LIST_FORM";

}
