import { FormGroup } from '@angular/forms';
import {validatePhoneNumberLength} from "libphonenumber-js";

// custom validator to check if the Phone number is valid or not
export function checkPhoneValidation(controlName: string, countryControlName: string) {
  return (formGroup: FormGroup) => {
    const control = formGroup.controls[controlName];
    const countryControl = formGroup.controls[countryControlName];

    if(control.value === "" || control.value === null) {
      return;
    }

    if (validatePhoneNumberLength(control.value, countryControl.value) != undefined) {
      control.setErrors({ validatePhoneNumber: true });
    } else {
      control.setErrors(null);
    }
  }
}
