import {Article} from "./article";

export interface AchatCommandeList {
  item_references: any;
  client_brands: any;
  supplier_brands: any;
  achatcommande_id: number;
  document_no: string;
  reception_id: number;
  reception_document_no: string;
  attendue_reception_status: boolean;
  ligne_id?: any;
  ligne_lbl: string;
  store_type: string;
  store_id: number;
  store_name: string;
  dated: string;
  created_at?: string;
  modified_at?: any;
  created_userid: number;
  created_username?: string;
  modified_userid?: number;
  modified_username?: any;
  status: number;
}

export interface BonAchatCommandeItem {
  achat_item_id?: number;
  item_id?: number;
  supplier_brand_id: number;
  supplier_brand_lbl?: any;
  client_brand_id: number;
  client_brand_lbl?: any;
  client_store_id: number;
  client_store_nom?: any;
  article_id: number;
  article_reference: string;
  article_desc: string;
  qte: number;
  qte_received?: number;
  qte_blocked?: number;
  unit_price: number;
  total_price: number;
  shipping_price: number;
  prix_de_vente: number;
  total_prix_de_vente: number;
  item_status: number;
  material_activable_status: number;
}

export interface BonAchatCommandeCustomer {
  store_id: number | "";
  brand_id?: number;
  brand_lbl?: string;
  store_nom: string;
  category_id?: number;
  category_lbl?: string;
  exp_addr?: string;
  exp_codpos?: string;
  exp_ville?: string;
  exp_pays?: string;
  fac_addr?: string;
  fac_codpos?: string;
  fac_ville?: string;
  fac_pays?: string;
  store_type: string;
}

export interface BrandPrixVente {
  article_id: number;
  article_reference: string;
  article_label: string;
  prix_de_vente: string;
}

export interface BonAchatCommande {
  achatcommande_id?: number;
  attendue_reception_status?: boolean;
  articles: BonAchatCommandeItem[];
  created_at?: string;
  created_userid?: number;
  created_username?: string;
  custom_articles?: Article[];
  dated: string;
  document_no?: string;
  ligne_id?: any;
  ligne_lbl: string;
  modified_at?: any;
  modified_userid?: number;
  modified_username?: any;
  reception_document_no?: string;
  reception_id?: number;
  status: number;
  total_price: number;
}
