export interface Article {
  id: number;
  label: string;
  reference: string;
  description: string;
  category_id: number;
  category_title: string;
  material_id: number;
  material_title: string;
  material_activable_status: number;
  obsolescence: string;
  dernier_achat_date: string | null;
  eol_tag?: boolean;
  tracability: string;
  duree_garantie: number;
  poids: string;
  dimm1: number;
  dimm2: number;
  dimm3: number;
  manufacturer_id: number;
  manufacturer_title: string;
  threshold: number;
  commande_qte: number;
  assurance: string;
  public_prix: number | null;
  purchase_prix: number | null;
  location_id?: any;
  location_title?: any;
  location_status?: any;
  location_brand?: any;
  vat_id: number;
  vat_title: string;
  vat_value: string;
  image: string;
  start_date_avail: string;
  const_reference: string;
  reference_facture: string | null;
  article_supplier_id?: string;
  apres_1_reception: string;
  delay_livraison: number;
  serial_list?: string,
  blocked_in_serials?: string;
  blocked_out_serials?: string;
  avail_stock?: any;
  article_brand: any;
  article_prix_de_vente: string;
}

export interface ArticleCategories {
  ACATID: number;
  ACATLBL: string;
  ACATSTAT: number;
}

export interface ArticleMaterialTypes {
  AMATID: number;
  AMATLBL: string;
  AMATSTAT: number;
}

export interface ArticleVat {
  VATID: number;
  VATLBL: string;
  VATVAL: number;
}

export interface SearchArticle {
  fullMatch: boolean;
  isSerial: boolean;
  serial_stock_location_id: string;
  rows: Article[]
}
