export interface AttendueDeReception {
    attendue_reception_id: number;
    document_no: string;
    ligne_id?: any;
    ligne_lbl: string;
    linked_document_no: string;
    linked_document_type: string;
    total_price: string;
    item_references: any;
    supplier_brands: any;
    client_brands: any;
    dated: Date;
    created_at: Date;
    modified_at?: any;
    created_userid: number;
    created_username: string;
    modified_userid?: any;
    modified_username?: any;
    status: number;
}

export interface AttendueArticle {
    item_id?: number;
    achat_item_id: number | undefined;
    supplier_brand_id: number;
    supplier_brand_lbl?: string;
    client_brand_id: number;
    client_store_id: number;
    client_store_nom?: any;
    article_id: number;
    article_reference: string;
    article_desc: string;
    qte: number;
    qte_received: number| undefined;
    unit_price: number;
    total_price: number;
    material_activable_status: number;
    item_status: number;
}
export interface AttendueDetail {
    articles: AttendueArticle[];
    attendue_reception_id?: number;
    created_at?: string;
    created_userid?: number;
    created_username?: string;
    document_no?: string;
    ligne_id?: any;
    ligne_lbl: string;
    linked_document_no: string;
    linked_document_type: string;
    modified_at?: any;
    modified_userid?: any;
    total_price: number;
    dated: string;
    achat_commande_id: number | undefined;
    modified_username?: any;
    status: number;
}

export interface AttendueDeReceptionList {
    achatcommande_id: number;
    reception_document_no: string;
    reception_id: number;
    store_id: number;
    store_name: string;
    store_type: string;
    attendue_reception_id: number;
    document_no: string;
    ligne_id?: any;
    ligne_lbl: string;
    linked_document_no: string;
    linked_document_type: string;
    total_price: string;
    item_references: string;
    supplier_brands: string;
    dated: Date;
    created_at: Date;
    modified_at?: any;
    created_userid: number;
    created_username: string;
    modified_userid?: any;
    modified_username?: any;
    status: number;
}