export interface LigneInfoList {
  LGIID: number;
  LGILBL: string
}

export interface StockLocationList {
  STLID: number;
  STLLBL: string;
  STLSTAT?: number;
  STLBRID?: number;
  STLBRLAB?: number;
}

export interface BrandInfoList {
  BRID: number;
  BRLAB: string;
  BRTYPE: string;
  disabled: boolean;
}

export interface StoreInfoList {
  store_id: number;
  store_name: string;
  store_type: string;
}

export interface Manufacturers {
  MNFID: number;
  MNFLBL: string;
  MNFSTAT: number;
}

export interface ListDepotTNT {
  depot_id: number;
  depot_lbl: string;

  depot_address: string;
  depot_code_postal: string;
  depot_pays: string;
  depot_ville: string;

  depot_status: number;
}

export interface ListServiceExpedition {
  service_expedition_id: number;
  service_expedition_lbl: string;
  service_expedition_code: string;
  service_expedition_status: number;
}

export interface ArticlesList {
  article_id: number;
  article_reference: string;
  article_label: string;
}

export interface LinkedReceptionDocument {
  reception_id: number;
  document_no: string;
  store_type: string;
  store_id: number;
  store_name: string;
  dated: string;
}

export interface LinkedLivraisonDocument {
  livraison_id: number;
  document_no: string;
  store_type: string;
  store_id: number;
  store_name: string;
  dated: string;
}

export interface LinkedTransferStockDocument {
  tds_id: number;
  document_no: string;
  dated: string;
}

export interface LinkedAttendueDocument {
  attendue_reception_id: number;
  document_no: string;
  dated: string;
}

export interface LinkedDocuments {
  reception: LinkedReceptionDocument[] | null;
  livraison: LinkedLivraisonDocument[] | null;
  attendue: LinkedAttendueDocument[] | null;
  transfer_de_stock: LinkedTransferStockDocument[] | null;
}

export interface Historique {
  dated: string
  document_id: number
  document_no: string
  document_type: string
  summary: string
  user_id: number
  user_name: string
}

export interface NumeroSerialList {
  serial_no: string;
  serial_tag: string | null;
  verified?: boolean
  brand_lbl?: any;
  disabled: boolean
  document_no?: string;
  document_type?: string;
}

export interface BlockSerialList {
  serial_no: string;
  document_no: string;
  document_type: string;
}
