import {Article} from "./article";

export interface ListInventoryTournant {
  tournant_id: number;
  document_no: string;
  stock_location_id: number;
  stock_location_lbl: string;
  ligne_id: number;
  ligne_lbl: string;
  dated: string;
  created_userid: number;
  created_username: string;
  created_at: string;
  status: number;
}


export interface BonTournantItem {
  item_id?: number;
  article_id: number;
  article_reference: string;
  article_desc: string;
  qte: number;
  qte_stock: number;
  unit_price: number;
  total_price: number;
  article_serials: string[];
  removed_serials: string[];
}

export interface BonTournant {
  tournant_id?: number;
  dated: string;
  document_no?: string;
  articles: BonTournantItem[];
  custom_articles?: Article[];
  ligne_id?: number | "";
  ligne_lbl?: string;
  supplier?: string;
  minimum_amount?: number;
  stock_location_id: number;
  stock_location_lbl?: string;
  status: number;
  created_at?: string;
  created_userid?: number;
  created_username?: string;
}
