import {Article} from "./article";

export interface ListLivraison {
  livraison_id: number;
  document_no: string;
  ligne_id: number;
  ligne_lbl: string;
  store_type: string;
  store_id: number;
  store_name: string;
  dated: string;
  reception_date: string;
  axesite?: any;
  docs_assoc?: any;
  total_price: string;
  created_at: string;
  modified_at: string;
  status: number;
  return_status: number;
  return_days: number;
  transport: string;
  total_assurance: number;
  store_label: string;
  return_voucher: string;
  sav_status: number;
  service_type: string;
  shipping_date: string;
  pickup_date: string;
  pret_material_status: number;
}

export interface BonLivraisonItem {
  material_activable_status: number;
  item_id?: number;
  stock_source: number;
  stock_source_lbl?: string;
  article_id: number;
  article_reference: string;
  article_desc: string;
  qte: number;
  qte_stock: number;
  unit_price: number;
  assurance: number;
  total_price: number;
  return_status: number;
  return_days: number;
  article_serials: string[];
}

export interface BonLivraisonCustomer {
  store_id: number | "";
  store_nom: string;
  store_type: string;

  store_category_id?: number;
  store_category?: string;

  store_brand_id?: number;
  store_brand?: string;
  store_brand_tel?: string;
  store_brand_mail?: string;

  store_address?: string;
  store_code_postal?: string;
  store_ville?: string;
  store_pays?: string;

  storefac_address?: string;
  storefac_code_postal?: string;
  storefac_ville?: string;
  storefac_pays?: string;

  store_hq?: number;
  defriement_id?: string;
  defriement_lbl?: string;
}

export interface BonLivraison {
  livraison_id?: number;
  document_no?: string;
  created_at?: Date;
  modified_at?: Date;

  dated: string;
  shipping_date: string;
  pickup_date: string;
  ligne_id?: number | "";
  ligne_lbl?: string;
  axesite?: any;
  transport?:any;
  return_voucher?:any;
  service_type_id?: number;
  service_type?: string;
  docs_assoc?: any;

  customer: BonLivraisonCustomer;
  articles: BonLivraisonItem[];
  custom_articles?: Article[];

  total_assurance: number;
  total_price: number;
  status: number;

  pret_material_status: number;
  sav_status: number;

  linked_document_no?: string;
  linked_document_type?: string;
}
