import {Article} from "./article";

export interface ListReception {
  reception_id: number;
  achatcommande_document_no: string;
  achatcommande_id: number;
  document_no: string;
  ligne_id: number;
  ligne_lbl: string;
  store_type: string;
  store_id: number;
  store_name: string;
  dated: string;
  reception_date: string;
  axesite?: any;
  docs_assoc?: any;
  total_price: string;
  created_at: string;
  modified_at: string;
  status: number;
}

export interface BonReceptionItem {
  item_id?: number;
  achat_item_id?: number;
  stock_source: number;
  stock_source_lbl?: string;
  article_id: number;
  article_reference: string;
  article_desc: string;
  qte: number;
  achat_item_qte?: number;
  achat_item_qte_recieved?: number;
  qte_stock: number;
  unit_price: number;
  total_price: number;
  material_activable_status: number;
  article_serials: string[];
  brand_id?: string | null;
}

export interface BonReceptionCustomer {
  store_id: number | "";
  brand_id?: number;
  brand_lbl?: string;
  store_nom: string;
  category_id?: number;
  category_lbl?: string;
  exp_addr?: string;
  exp_codpos?: string;
  exp_ville?: string;
  exp_pays?: string;
  fac_addr?: string;
  fac_codpos?: string;
  fac_ville?: string;
  fac_pays?: string;
  store_type: string;
}

export interface BonReception {
  reception_id?: number;
  document_no?: string;
  created_at?: Date;
  modified_at?: Date;

  dated: string;
  reception_date: string;
  ligne_id?: number | "";
  ligne_lbl?: string;
  axesite?: any;
  docs_assoc?: any;

  customer: BonReceptionCustomer;
  articles: BonReceptionItem[];
  custom_articles?: Article[];

  total_price: number;
  status: number;
  achat_commande_id?: number;
  attendue_reception_id?: number;
  linked_document_no?: string;
  linked_document_type?: string;
}
