export interface ReportingType {
  label: string;
  value: string;
}

export interface StockMovementType {
  label: string;
  value: string;
}

export interface ReportColumn {
  label: string;
  property: string;
  order: number;
}

export interface ReportColumnType {
  column_type: string;
  column_list: ReportColumn[];
}

export interface ReportRequestCustomer {
  store_id: number;
  store_type: string;
}

export interface ReportRequest {
  brand_id: number;
  customer: ReportRequestCustomer;
  report_type: string;
  stock_history_type: string[];
  document_start_date: string;
  document_end_date: string;
  reference_article: number[];
  selected_column: string[];
}

export interface ReportDownloadData {
  file: string;
}

export interface ReportListData {
  reception_count?: number;
  livraison_count?: number;
  available_stock?: number;
  stock_location: string;
  article_id: number;
  article_reference: string;
  article_label: string;
  document_no: string;
  document_type: string;
  document_value: string,
  contact: string;
  document_date: string;
  stock_inward: number;
  stock_outward: string;
  unit_price: string;
  total_price: string;
  article_serials: string;
  removed_serials?: string;
}
