import {Article} from "./article";

export interface TransferDeStockList {
  tds_id: number;
  document_no: string;
  stock_source_location_id: number;
  stock_source_location_lbl: string;
  stock_dest_location_id?: number;
  stock_dest_location_lbl: string;
  ligne_id: number;
  ligne_lbl: string;
  docs_assoc?: string;
  dated: string;
  created_at: string;
  created_userid: number;
  created_username: string;
  modified_at?: string;
  modified_userid?: number;
  modified_username?: string;
  status: number;
}

export interface BonTransferDeStockItem {
  item_id?: number;
  article_reference: string;
  article_id: number;
  article_desc: string;
  qte: number;
  qte_stock: number;
  unit_price: number;
  total_price: number;
  article_serials: string[];
}

export interface BonTransferDeStock {
  tds_id?: number;
  document_no?: string;
  dated: string;
  stock_source_location_id: number;
  stock_source_location_lbl?: string;
  stock_dest_location_id: number | null;
  stock_dest_location_lbl?: string;
  ligne_id: number | any;
  ligne_lbl: string;
  articles: BonTransferDeStockItem[];
  custom_articles?: Article[];
  docs_assoc: string;
  total_price: number;
  status: number;

  created_at?: string;
  created_userid?: number;
  created_username?: string;
  modified_at?: string;
  modified_userid?: number;
  modified_username?: string;
  brand_id?: string;
  linked_document_no?: string;
  linked_document_type?: string;
}

