import { Pipe, PipeTransform } from '@angular/core';
import {IMaskPipe} from "angular-imask";
import {APP_CONSTANTS} from "../_helpers/constants";

@Pipe({
  name: 'capMask'
})
export class CustomNumberFormatPipe implements PipeTransform {

  integerMask = APP_CONSTANTS.INTEGER_MASK;
  decimalMask = APP_CONSTANTS.DECIMAL_MASK;

  constructor(private maskPipe: IMaskPipe) {
  }

  transform(value: string | number, type: 'integer' | 'decimal' = 'decimal'): unknown {
    let val = value;

    if(value === undefined || value === null) {
      return value;
    }

    if(typeof value === 'number') {
      val = val.toString();
    }

    let mask: any = this.decimalMask;

    if(type === 'integer') {
      mask = this.integerMask;
    }

    if(type === 'decimal') {
      mask = this.decimalMask;
    }

    return this.maskPipe.transform(val, mask);
  }

}
