import { Injectable } from '@angular/core';
import {HttpClient, HttpHeaders} from "@angular/common/http";
import {Observable} from "rxjs";
import {CustomHttpResponse, AchatCommandeList} from "../_models";
import {environment} from "../../environments/environment";
import { AttendueDeReception, AttendueDetail } from '../_models/attendue-de-reception';

@Injectable({
  providedIn: 'root'
})
export class AttendueDeReceptionService {

  constructor(private httpClient: HttpClient) { }

  getAttendueDeReceptionList(data: any, page: number, pageSize: number): Observable<CustomHttpResponse<AttendueDeReception[]>> {
    const headers = new HttpHeaders();
    headers.append('Content-Type', 'application/json');

    const queryParams = {
      page: page,
      page_size: pageSize
    };

    const options = {
      headers: headers,
      params: queryParams
    };

    return this.httpClient.post<CustomHttpResponse<AttendueDeReception[]>>(environment.apiUrl + "/api/attendue_reception/list", data, options);
  }

  getAttendueDetail(NUMBON: any): Observable<CustomHttpResponse<AttendueDetail>> {
    return this.httpClient.get<CustomHttpResponse<AttendueDetail>>(environment.apiUrl + `/api/attendue_reception/view/${NUMBON}`);
  }

  createAttendueDeReception(data: AttendueDetail): Observable<CustomHttpResponse<AttendueDetail>> {
    return this.httpClient.post<CustomHttpResponse<AttendueDetail>>(environment.apiUrl + `/api/attendue_reception/create`, data);
  }

}
