import { HttpClient } from '@angular/common/http';
import { EventEmitter, Injectable, Input } from '@angular/core';
import { Observable } from 'rxjs';
import { CustomHttpResponse, Dashboard } from '../_models';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class DashboardService {
  
  dashboardStatusValue: string = '';
  returnPendingStatus: boolean = false;

  constructor(private httpClient: HttpClient) { }

  getDashboardData(data:Dashboard): Observable<CustomHttpResponse<Dashboard>>{
    return this.httpClient.post<CustomHttpResponse<Dashboard>>(environment.apiUrl + '/api/dashboard/statistics', data);
  }

}
