import { Injectable } from '@angular/core';
import {BehaviorSubject} from 'rxjs';
import {BonAchatCommande, BonReception, BonTransferDeStock} from "../_models";
import { AttendueDeReceptionList, AttendueDetail } from '../_models/attendue-de-reception';
import {BonLivraison} from "../_models/livraison";

export interface SelectionCopyItems {
  type: string;
  items: any[];
  extras: {
    document_type: 'BR' | 'BL' | 'TR' | 'AC';
    document_no: string;
    documentDetail: BonReception | BonLivraison | BonTransferDeStock | BonAchatCommande | AttendueDetail | undefined;
  };
}

@Injectable({
  providedIn: 'root'
})
export class DataSharingService {

  public selectionItems: BehaviorSubject<SelectionCopyItems | undefined> = new BehaviorSubject<SelectionCopyItems | undefined>(undefined);

  public isUserLoggedIn: BehaviorSubject<boolean> = new BehaviorSubject<boolean>(false);
  public createUser: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public brandID: BehaviorSubject<number> = new BehaviorSubject<number>(0);

  public storageLocationList: BehaviorSubject<string> = new BehaviorSubject<string>('');

  /** ArticlePage */
  public articleList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public articleSearchCategory: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public articleSearchText: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public articleSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);

  /** LignePage */
  public ligneList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public ligneSearchText: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public ligneSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);

  /**ContactPage */
  public contactList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public contactSearchCategory: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public contactSearchText: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public contactSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  public selectType: BehaviorSubject<string> = new BehaviorSubject<string>('');

  /** InventoryPage */
  public inventoryList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public inventorySearchCategory : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public docNumber : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public status : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public date : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public inventorySearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);

  /** TransferPage */
  public transferList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public transferSearchCategory : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public transferdocNumber : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public transferstatus : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public transferdate : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public transferSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  public transferTOTQEXP: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  public SNUMBERS: BehaviorSubject<string> = new BehaviorSubject<string>('');

  /** InventoryTournantPage */
  public inventoryTournantList: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public inventoryTournantSearchCategory : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public docNumberTournant : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public statusTournant : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public dateTournant : BehaviorSubject<string> = new BehaviorSubject<string>('');
  public inventoryTournantSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);

  /** Livraison page */

  public LivraisonSNUMBERS: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public Livraisonavail_stock: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  public livraisonSearch: BehaviorSubject<string> = new BehaviorSubject<string>('');
  public livraisonSearchCurrentPage: BehaviorSubject<number> = new BehaviorSubject<number>(0);
  public livraisonList: BehaviorSubject<string> = new BehaviorSubject<string>('');


  constructor() { }

  setListDataCache(key: string, data: string | null = null) {
    if(data === null) {
      localStorage.removeItem(key);
      return;
    }

    localStorage.setItem(key, data);
  }

  getListDataFromCache(key: string): any {
    const data = localStorage.getItem(key);

    if(data !== undefined && data !== null) {
      return JSON.parse(data);
    }

    return undefined;
  }

  setListFormDataCache(key: string, data: string | null = null) {
    if(data === null) {
      localStorage.removeItem(key);
      return;
    }

    localStorage.setItem(key, data);
  }

  getListFormDataFromCache(key: string) {
    const data = localStorage.getItem(key);

    if(data !== undefined && data !== null) {
      return JSON.parse(data);
    }

    return undefined;
  }

}
