import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';
import { CustomHttpResponse, Settings } from '../_models';

@Injectable({
  providedIn: 'root'
})
export class SettingsService {

  apiUrl: string;
  
  constructor(private http: HttpClient) { 
    this.apiUrl = `${environment.apiUrl}`;
  }

  viewSettingsData(): Observable<CustomHttpResponse<Settings>> {
    return this.http.get<CustomHttpResponse<Settings>>(environment.apiUrl + '/api/settings/view');
  }

  modifySettingsData(data: Settings): Observable<CustomHttpResponse<Settings>> {
    return this.http.post<CustomHttpResponse<Settings>>(environment.apiUrl + '/api/settings/update', data);
  }

}
