import { Injectable } from '@angular/core';
import {APP_CONSTANTS} from "../_helpers/constants";


@Injectable({
  providedIn: 'root'
})
export class TokenStorageService {

  constructor() { }

  signOut(): void {
    localStorage.clear();
  }

  public saveToken(token: string): void {
    localStorage.removeItem(APP_CONSTANTS.TOKEN_KEY);
    localStorage.setItem(APP_CONSTANTS.TOKEN_KEY, token);
    const user = this.getUser();
    if (user.id) {
      this.saveUser({ ...user, accessToken: token });
    }
  }

  public getToken(): string | null {
    return localStorage.getItem(APP_CONSTANTS.TOKEN_KEY);
  }

  public saveRefreshToken(token: string): void {
    localStorage.removeItem(APP_CONSTANTS.REFRESHTOKEN_KEY);
    localStorage.setItem(APP_CONSTANTS.REFRESHTOKEN_KEY, token);
  }
  public getRefreshToken(): string | null {
    return localStorage.getItem(APP_CONSTANTS.REFRESHTOKEN_KEY);
  }

  public saveUser(user: any): void {
    localStorage.removeItem(APP_CONSTANTS.USER_KEY);
    localStorage.setItem(APP_CONSTANTS.USER_KEY, JSON.stringify(user));
  }

  public getUser(): any {
    const user = localStorage.getItem(APP_CONSTANTS.USER_KEY);
    if (user) {
      return JSON.parse(user);
    }

    return {};
  }

}
