import {Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material/dialog";
import {NgxExtendedPdfViewerService, PDFPrintRange} from "ngx-extended-pdf-viewer";
import {NgxSpinnerService} from "ngx-spinner";

@Component({
  selector: 'app-pdf-viewer',
  templateUrl: './pdf-viewer.component.html',
  styleUrls: ['./pdf-viewer.component.scss']
})
export class PdfViewerComponent implements OnInit {

  documentUrl: string = "";
  title = "KPDF_VIEWER";
  printDocument = false;

  constructor(@Inject(MAT_DIALOG_DATA) public data: any,
              public dialogRef: MatDialogRef<PdfViewerComponent>,
              private printService: NgxExtendedPdfViewerService,
              private loadingService: NgxSpinnerService) { }

  ngOnInit(): void {
    this.documentUrl = this.data.documentUrl;
    this.title = this.data.title;

    if(this.data.printDocument !== undefined && this.data.printDocument !== null) {
      this.printDocument = this.data.printDocument;
    }
  }

  onDocumentLoaded(e: any) {
    this.loadingService.hide();
    if(this.printDocument) {
        this.printDocumentPDF();
    }
  }

  printDocumentPDF(): void {
    const range = {

    } as PDFPrintRange;

    this.printService.print(range);
  }

  closePdfViewer(){
    this.dialogRef.close();
  }

}
