import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import {AchatCommandeComponent} from "./achat-commande.component";
import {AddComponent} from "./add/add.component";
import {EditComponent} from "./edit/edit.component";

const routes: Routes = [
  { path: 'list', component: AchatCommandeComponent, data: { id: '1_0' }, canActivate: [AuthPermissionGuard] },
  { path: 'create', component: AddComponent, data: { id: '1_1' }, canActivate: [AuthPermissionGuard]},
  { path: 'modify/:document_no', component: EditComponent, data: { id: '1_3' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:document_no', component: EditComponent, data: { id: '1_2', readOnly: true }, canActivate: [AuthPermissionGuard]},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AchatCommandeRoutingModule { }
