import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { AchatCommandeRoutingModule } from './achat-commande-routing.module';
import {AchatCommandeComponent} from "./achat-commande.component";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {MatToolbarModule} from "@angular/material/toolbar";
import {MatSidenavModule} from "@angular/material/sidenav";
import {MatButtonModule} from "@angular/material/button";
import {MatCardModule} from "@angular/material/card";
import {MatDividerModule} from "@angular/material/divider";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatIconModule} from "@angular/material/icon";
import {MatSelectModule} from "@angular/material/select";
import {MatInputModule} from "@angular/material/input";
import {MatAutocompleteModule} from "@angular/material/autocomplete";
import {NgxMatIntlTelInputModule} from "ngx-mat-intl-tel-input";
import {MatTableModule} from "@angular/material/table";
import {MatPaginatorModule} from "@angular/material/paginator";
import {MatProgressBarModule} from "@angular/material/progress-bar";
import {MatProgressSpinnerModule} from "@angular/material/progress-spinner";
import {MatSortModule} from "@angular/material/sort";
import {MatDialogModule} from "@angular/material/dialog";
import {MatMomentDateModule} from "@angular/material-moment-adapter";
import {CommonModuleModule} from "../../custom-module/common-module/common-module.module";
import {MatDatepickerModule} from "@angular/material/datepicker";
import {MatNativeDateModule} from "@angular/material/core";
import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import {MatListModule} from "@angular/material/list";
import {MatExpansionModule} from "@angular/material/expansion";
import {NgxExtendedPdfViewerModule} from "ngx-extended-pdf-viewer";
import {NgxSpinnerModule} from "ngx-spinner";
import {MatTabsModule} from "@angular/material/tabs";
import {ContactSharedModuleModule} from "../../shared/contact-shared-module/contact-shared-module.module";
import {ComponentsModule} from "../../_components/components.module";
import {CustomDirectivesModule} from "../../_directives/custom-directives.module";
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import { AddComponent } from './add/add.component';
import { EditComponent } from './edit/edit.component';


@NgModule({
  declarations: [
    AchatCommandeComponent,
    AddComponent,
    EditComponent
  ],
  imports: [
    CommonModule,
    AchatCommandeRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    MatMomentDateModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule,
    MatListModule,
    MatExpansionModule,
    NgxExtendedPdfViewerModule,
    NgxSpinnerModule,
    MatTabsModule,
    ContactSharedModuleModule,
    ComponentsModule,
    CustomDirectivesModule,
    CustomPipesModule,
  ]
})
export class AchatCommandeModule { }
