import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AddArticleCategoryComponent } from './add-article-category/add-article-category.component';
import { ArticleCategoryListComponent } from './article-category-list/article-category-list.component';
import { EditArticleCategoryComponent } from './edit-article-category/edit-article-category.component';

const routes: Routes = [
  { path: 'list', component: ArticleCategoryListComponent, data: { id: '9_10' }, canActivate: [AuthPermissionGuard]},
  { path: 'create', component: AddArticleCategoryComponent, data: { id: '9_101' }, canActivate: [AuthPermissionGuard]},
  { path: 'modify/:category_id', component: EditArticleCategoryComponent, data: { id: '9_103' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:category_id', component: EditArticleCategoryComponent, data: { id: '9_102', readOnly: true }, canActivate: [AuthPermissionGuard]}
];


@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ArticleCategoryRoutingModule { }
