import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { ArticleListComponent } from './article-list/article-list.component';
import { CreateArticleComponent } from './create-article/create-article.component';
import { EditArticleComponent } from './edit-article/edit-article.component';

const routes: Routes = [
  { path: 'create-article', component: CreateArticleComponent, data: { id: '4_1' }, canActivate: [AuthPermissionGuard]},
  { path: 'article-list', component: ArticleListComponent, data: { id: '4_0' }, canActivate: [AuthPermissionGuard] },
  { path: 'view-article/:article_id', component: EditArticleComponent, data: { id: '4_2', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'edit-article/:article_id', component: EditArticleComponent , data: { id: '4_3' }, canActivate: [AuthPermissionGuard]},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ArticleRoutingModule { }
