import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AttendueDeReceptionListComponent } from './attendue-de-reception-list/attendue-de-reception-list.component';
import { EditAttendueDeReceptionComponent } from './edit-attendue-de-reception/edit-attendue-de-reception.component';

const routes: Routes = [
  { path: 'list',component: AttendueDeReceptionListComponent, data: { id: '1_10' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:attendue_no', component: EditAttendueDeReceptionComponent, data: {id: '1_8', readOnly: true}, canActivate: [AuthPermissionGuard]},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AttendueDeReceptionRoutingModule { }
