import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { BonDeLivraisonListComponent } from './bon-de-livraison-list/bon-de-livraison-list.component';
import { CreateBonDeLivraisonComponent } from './create-bon-de-livraison/create-bon-de-livraison.component';
import { EditBonDeLivraisonComponent } from './edit-bon-de-livraison/edit-bon-de-livraison.component';

const routes: Routes = [
  { path: 'create', component: CreateBonDeLivraisonComponent, data: { id: '2_11' }, canActivate: [AuthPermissionGuard]},
  { path: 'list', component: BonDeLivraisonListComponent, data: { id: '2_1' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:document_no', component: EditBonDeLivraisonComponent, data: { id: '2_12', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:document_no', component: EditBonDeLivraisonComponent, data: { id: '2_13' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class BonDeLivraisonRoutingModule { }
