import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { BonDeLivraisonRoutingModule } from './bon-de-livraison-routing.module';
import { CreateBonDeLivraisonComponent } from './create-bon-de-livraison/create-bon-de-livraison.component';


import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import { DatePipe } from '@angular/common';
import {MatExpansionModule} from '@angular/material/expansion';

import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import {MatListModule} from '@angular/material/list';
import {NgxExtendedPdfViewerModule} from "ngx-extended-pdf-viewer";
import {NgxSpinnerModule} from "ngx-spinner";
import {MatTabsModule} from '@angular/material/tabs';
import { BonDeLivraisonListComponent } from './bon-de-livraison-list/bon-de-livraison-list.component';
import { EditBonDeLivraisonComponent } from './edit-bon-de-livraison/edit-bon-de-livraison.component';
import { ClientPopupComponent } from './client-popup/client-popup.component';
import { ContactSharedModuleModule } from '../../shared/contact-shared-module/contact-shared-module.module';
import {ComponentsModule} from "../../_components/components.module";

import { CustomDirectivesModule } from '../../_directives/custom-directives.module';
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import { SaisieExpeditionComponent } from './saisie-expedition/saisie-expedition.component';
import {MatCheckboxModule} from "@angular/material/checkbox";
import {MatRadioModule} from "@angular/material/radio";

@NgModule({
  declarations: [
    CreateBonDeLivraisonComponent,
    BonDeLivraisonListComponent,
    EditBonDeLivraisonComponent,
    ClientPopupComponent,
    SaisieExpeditionComponent,
  ],
  imports: [
    CommonModule,
    BonDeLivraisonRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule,
    MatListModule,
    MatExpansionModule,
    NgxExtendedPdfViewerModule,
    NgxSpinnerModule,
    MatTabsModule,
    ContactSharedModuleModule,
    ComponentsModule,
    MatCheckboxModule,
    MatRadioModule,
    CustomDirectivesModule,
    CustomPipesModule
  ],
  entryComponents: [
  ],
  providers: [MatDatepickerModule,DatePipe],
  exports: []
})
export class BonDeLivraisonModule { }
