import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { BonDeReceptionListComponent } from './bon-de-reception-list/bon-de-reception-list.component';
import { CreateBonDeReceptionComponent } from './create-bon-de-reception/create-bon-de-reception.component';
import { EditBonDeReceptionComponent } from './edit-bon-de-reception/edit-bon-de-reception.component';

const routes: Routes = [
  { path: 'create', component: CreateBonDeReceptionComponent, data: { id: '2_21' }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: BonDeReceptionListComponent, data: { id: '2_2' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:document_no', component: EditBonDeReceptionComponent, data: { id: '2_22', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:document_no', component: EditBonDeReceptionComponent, data: { id: '2_23' }, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class BonDeReceptionRoutingModule { }
