import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { BonDeReceptionRoutingModule } from './bon-de-reception-routing.module';
import { CreateBonDeReceptionComponent } from './create-bon-de-reception/create-bon-de-reception.component';
import { MatIconModule } from '@angular/material/icon';
import { MatInputModule } from '@angular/material/input';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatSelectModule } from '@angular/material/select';
import { MatButtonModule } from '@angular/material/button';
import { MatTabsModule } from '@angular/material/tabs';
import { BonDeReceptionListComponent } from './bon-de-reception-list/bon-de-reception-list.component';
import { MatListModule } from '@angular/material/list';
import { MatDialogModule } from '@angular/material/dialog';
import { MatTableModule } from '@angular/material/table';
import {MatMomentDateModule} from "@angular/material-moment-adapter";
import { ModifyItemComponent } from './modify-item/modify-item.component';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import { MatNativeDateModule } from '@angular/material/core';
import { NgxMatSelectSearchModule } from 'ngx-mat-select-search';
import { MatExpansionModule } from '@angular/material/expansion';
import { ContactSharedModuleModule } from 'src/app/shared/contact-shared-module/contact-shared-module.module';
import { NgxSpinnerModule } from 'ngx-spinner';
import { NgxExtendedPdfViewerModule } from 'ngx-extended-pdf-viewer';
import { EditBonDeReceptionComponent } from './edit-bon-de-reception/edit-bon-de-reception.component';
import {ComponentsModule} from "../../_components/components.module";

import { CustomDirectivesModule } from '../../_directives/custom-directives.module';
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import {MatCheckboxModule} from "@angular/material/checkbox";
import { AddBulkItemsComponent } from './add-bulk-items/add-bulk-items.component';

@NgModule({
  declarations: [
    CreateBonDeReceptionComponent,
    BonDeReceptionListComponent,
    ModifyItemComponent,
    EditBonDeReceptionComponent,
    AddBulkItemsComponent
  ],
  imports: [
    CommonModule,
    BonDeReceptionRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    MatMomentDateModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule,
    MatListModule,
    MatExpansionModule,
    NgxExtendedPdfViewerModule,
    NgxSpinnerModule,
    MatTabsModule,
    MatCheckboxModule,
    ContactSharedModuleModule,
    ComponentsModule,
    CustomDirectivesModule,
    CustomPipesModule
  ],
  exports: []
})
export class BonDeReceptionModule { }
