import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ContactListComponent } from './contact-list/contact-list.component';
import { CreateBrandComponent } from './create-brand/create-brand.component';
import { EditBrandComponent } from './edit-brand/edit-brand.component';
import { EditContactComponent } from './edit-contact/edit-contact.component';
import { EditStoreComponent } from './edit-store/edit-store.component';
import { ViewBrandComponent } from './view-brand/view-brand.component';
import { ViewContactComponent } from './view-contact/view-contact.component';
import { ViewStoreComponent } from './view-store/view-store.component';
import {CreateStoreComponent} from "./create-store/create-store.component";
import {AddContactComponent} from "./add-contact/add-contact.component";
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'contact-list', component: ContactListComponent, data: { id: '5_0' }, canActivate: [AuthPermissionGuard] },

  { path: 'create', component: AddContactComponent, data: { id: '5_11' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:contact_id', component: ViewContactComponent , data: { id: '5_12' }, canActivate: [AuthPermissionGuard]},
  { path: 'modify/:contact_id', component: EditContactComponent , data: { id: '5_13' }, canActivate: [AuthPermissionGuard]},

  { path: 'brand/create', component: CreateBrandComponent , data: { id: '5_31' }, canActivate: [AuthPermissionGuard]},
  { path: 'brand/detail/:brand_id', component: ViewBrandComponent , data: { id: '5_32' }, canActivate: [AuthPermissionGuard]},
  { path: 'brand/modify/:brand_id', component: EditBrandComponent , data: { id: '5_33' }, canActivate: [AuthPermissionGuard]},

  { path: 'store/create', component: CreateStoreComponent , data: { id: '5_21' }, canActivate: [AuthPermissionGuard]},
  { path: 'store/detail/:store_id/:store_type', component: ViewStoreComponent , data: { id: '5_22' }, canActivate: [AuthPermissionGuard]},
  { path: 'store/modify/:store_id/:store_type', component: EditStoreComponent , data: { id: '5_23' }, canActivate: [AuthPermissionGuard]},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ContactRoutingModule { }
