import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ContactRoutingModule } from './contact-routing.module';
import { AddContactComponent } from './add-contact/add-contact.component';
import { ViewBrandComponent } from './view-brand/view-brand.component';
import { EditBrandComponent } from './edit-brand/edit-brand.component';
import { ViewContactComponent } from './view-contact/view-contact.component';
import { EditContactComponent } from './edit-contact/edit-contact.component';
import { ViewStoreComponent } from './view-store/view-store.component';
import { EditStoreComponent } from './edit-store/edit-store.component';

//FORMS
import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
//import { ContactListComponent } from './contact-list/contact-list.component';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { CreateBrandComponent } from './create-brand/create-brand.component';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import {MatCheckboxModule} from "@angular/material/checkbox";
import { ContactSharedModuleModule } from '../../shared/contact-shared-module/contact-shared-module.module';
import {MatListModule} from "@angular/material/list";
import {CustomDirectivesModule} from "../../_directives/custom-directives.module";
import { FusionerStoreComponent } from './fusioner-store/fusioner-store.component';
import { CreateStoreComponent } from './create-store/create-store.component';
import { CreateContactAssocComponent } from './create-contact-assoc/create-contact-assoc.component';
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";


@NgModule({
  imports: [
    CommonModule,
    ContactRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatListModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    MatCheckboxModule,
    CommonModuleModule,
    NgxMatSelectSearchModule,
    ContactSharedModuleModule,
    CustomDirectivesModule,
    CustomPipesModule
  ],
  declarations: [
    AddContactComponent,
    CreateBrandComponent,
    ViewBrandComponent,
    EditBrandComponent,
    ViewContactComponent,
    EditContactComponent,
    ViewStoreComponent,
    EditStoreComponent,
    FusionerStoreComponent,
    CreateStoreComponent,
    CreateContactAssocComponent,
  ]
})
export class ContactModule { }
