import {Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from "@angular/material/dialog";
import {FormGroup} from "@angular/forms";
import { DialogService } from 'src/app/_services/dailog.service';

@Component({
  selector: 'app-create-contact-assoc',
  templateUrl: './create-contact-assoc.component.html',
  styleUrls: ['./create-contact-assoc.component.scss']
})
export class CreateContactAssocComponent implements OnInit {

  createFormState: FormGroup | undefined;
  formData: any;

  constructor(private dialogRef: MatDialogRef<CreateContactAssocComponent>,
              @Inject(MAT_DIALOG_DATA) public data: any,
              private dialogService: DialogService) { }

  ngOnInit(): void {
    if(this.data !== undefined && this.data !== null) {
      if(this.data.hasOwnProperty('oldFormData')) {
        this.formData = this.data.oldFormData;
      }
    }
  }

  onCreateContactFormChange(createForm: FormGroup) {
    this.createFormState = createForm;
    if(createForm.invalid) {
      this.formData = undefined;
      return;
    }

    this.formData = createForm.getRawValue();
  }

  onContactSubmit() {
    if(this.createFormState && this.createFormState.invalid) {
      this.formData = undefined;
      this.dialogService.displayAlert({
        title: 'KERROR',
        message: 'KMANDATORY_FIELDS'
      });
      return;
    }

    this.dialogRef.close({ status: 'success', data: this.formData });
  }

}
