import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { DepotTntListComponent } from './depot-tnt-list/depot-tnt-list.component';
import { AddDepotTntComponent } from './add-depot-tnt/add-depot-tnt.component';
import { EditDepotTntComponent } from './edit-depot-tnt/edit-depot-tnt.component';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'list', component: DepotTntListComponent, data: { id: '9_5' }, canActivate: [AuthPermissionGuard] },
  { path: 'create', component: AddDepotTntComponent, data: { id: '9_51' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:depot_tnt_id', component: EditDepotTntComponent, data: { id: '9_53' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:depot_tnt_id', component: EditDepotTntComponent , data: { id: '9_52', readOnly: true }, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class DepotTntRoutingModule { }
