import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { CreateFabriquantComponent } from './create-fabriquant/create-fabriquant.component';
import { EditFabriquantComponent } from './edit-fabriquant/edit-fabriquant.component';
import { FabriquantListComponent } from './fabriquant-list/fabriquant-list.component';

const routes: Routes = [
  { path: 'create', component: CreateFabriquantComponent, data: { id: '9_21' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:fab_id', component: EditFabriquantComponent, data: { id: '9_23'}, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:fab_id', component: EditFabriquantComponent, data: { id: '9_22', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: FabriquantListComponent, data: { id: '9_2' }, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class FabriquantRoutingModule { }
