import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FabriquantRoutingModule } from './fabriquant-routing.module';
import { CreateFabriquantComponent } from './create-fabriquant/create-fabriquant.component';


import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import { DatePipe } from '@angular/common';
import {MatExpansionModule} from '@angular/material/expansion';

import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import { EditFabriquantComponent } from './edit-fabriquant/edit-fabriquant.component';
import { FabriquantListComponent } from './fabriquant-list/fabriquant-list.component';
import { CustomDirectivesModule } from 'src/app/_directives/custom-directives.module';


@NgModule({
  declarations: [
    CreateFabriquantComponent,
    EditFabriquantComponent,
    FabriquantListComponent
  ],
  imports: [
    CommonModule,
    FabriquantRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule,
    MatExpansionModule,
    CustomDirectivesModule
  ],
  providers: [MatDatepickerModule,DatePipe]
})
export class FabriquantModule { }
