import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { CreateInventoryTournantComponent } from './create-inventory-tournant/create-inventory-tournant.component';
import { InventoryTournantListComponent } from './inventory-tournant-list/inventory-tournant-list.component';
import { ViewInventoryTournantComponent } from './view-inventory-tournant/view-inventory-tournant.component';
import {ModifyInventoryTournantComponent} from "./modify-inventory-tournant/modify-inventory-tournant.component";

const routes: Routes = [
  { path: 'create', component: CreateInventoryTournantComponent, data: { id: '3_31' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:document_no', component: ModifyInventoryTournantComponent, data: { id: '3_32' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:document_no', component: ViewInventoryTournantComponent, data: { id: '3_33' }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: InventoryTournantListComponent, data: { id: '3_3' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class InventoryTournantRoutingModule { }
