import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AddInventoryComponent } from './add-inventory/add-inventory.component';
import { EditInventoryComponent } from './edit-inventory/edit-inventory.component';
import { InventoryListComponent } from './inventory-list/inventory-list.component';
import { ViewInventoryComponent } from './view-inventory/view-inventory.component';

const routes: Routes = [
  { path: 'create-inventory', component: AddInventoryComponent, data: { id: '3_11' }, canActivate: [AuthPermissionGuard] },
  { path: 'inventory-list', component: InventoryListComponent, data: { id: '3_1' }, canActivate: [AuthPermissionGuard] },
  { path: 'view-inventory', component: ViewInventoryComponent, data: { id: '3_12' }, canActivate: [AuthPermissionGuard] },
  { path: 'edit-inventory/:document_no', component: EditInventoryComponent, data: { id: '3_13' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class InventoryRoutingModule {


 }
