import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { InventoryRoutingModule } from './inventory-routing.module';
import { AddInventoryComponent } from './add-inventory/add-inventory.component';


import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import { DatePipe } from '@angular/common';
import {MatExpansionModule} from '@angular/material/expansion';

import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import { InventoryListComponent } from './inventory-list/inventory-list.component';
import { ViewInventoryComponent } from './view-inventory/view-inventory.component';
import { EditInventoryComponent } from './edit-inventory/edit-inventory.component';
import { NumeroSerieComponent } from './numero-serie/numero-serie.component';
import {MatListModule} from '@angular/material/list';
import {NgxExtendedPdfViewerModule} from "ngx-extended-pdf-viewer";
import {NgxSpinnerModule} from "ngx-spinner";

import { CustomDirectivesModule } from '../../_directives/custom-directives.module';
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import {IConfig, NgxMaskModule} from "ngx-mask";
import {MatCheckboxModule} from "@angular/material/checkbox";
import {MatTooltipModule} from "@angular/material/tooltip";

export const options: Partial<IConfig> = {
  thousandSeparator: " "
};

@NgModule({
  declarations: [
    AddInventoryComponent,
    InventoryListComponent,
    ViewInventoryComponent,
    EditInventoryComponent,
    NumeroSerieComponent
  ],
    imports: [
        CommonModule,
        InventoryRoutingModule,
        FormsModule,
        ReactiveFormsModule,
        MatToolbarModule,
        MatSidenavModule,
        MatButtonModule,
        MatCardModule,
        MatDividerModule,
        MatFormFieldModule,
        MatIconModule,
        MatSelectModule,
        MatInputModule,
        MatAutocompleteModule,
        NgxMatIntlTelInputModule,
        MatTableModule,
        MatPaginatorModule,
        MatProgressBarModule,
        MatProgressSpinnerModule,
        MatSortModule,
        MatDialogModule,
        CommonModuleModule,
        MatDatepickerModule,
        MatNativeDateModule,
        NgxMatSelectSearchModule,
        MatListModule,
        MatExpansionModule,
        MatCheckboxModule,
        NgxExtendedPdfViewerModule,
        NgxSpinnerModule,
        CustomDirectivesModule,
        CustomPipesModule,
        NgxMaskModule.forRoot(options),
        MatTooltipModule
    ],
  entryComponents: [
    NumeroSerieComponent
  ],
  providers: [MatDatepickerModule,DatePipe]
})
export class InventoryModule { }
