import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { CreateLigneComponent } from './create-ligne/create-ligne.component';
import { EditLigneComponent } from './edit-ligne/edit-ligne.component';
import { LigneListComponent } from './ligne-list/ligne-list.component';

const routes: Routes = [
  { path: 'list', component: LigneListComponent, data: { id: '9_3' }, canActivate: [AuthPermissionGuard] },
  { path: 'create', component: CreateLigneComponent, data: { id: '9_31' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:ligne_id', component: EditLigneComponent, data: { id: '9_33' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:ligne_id', component: EditLigneComponent, data: { id: '9_32', readOnly: true }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LigneRoutingModule { }
