import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { LigneRoutingModule } from './ligne-routing.module';
import { LigneListComponent } from './ligne-list/ligne-list.component';
import { CreateLigneComponent } from './create-ligne/create-ligne.component';
import { EditLigneComponent } from './edit-ligne/edit-ligne.component';

//FORMS
import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import { DatePipe } from '@angular/common';
import {CustomDirectivesModule} from "../../_directives/custom-directives.module";


@NgModule({
  declarations: [
    LigneListComponent,
    CreateLigneComponent,
    EditLigneComponent
  ],
  imports: [
    CommonModule,
    LigneRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    CustomDirectivesModule
  ],
  providers: [MatDatepickerModule,DatePipe]
})
export class LigneModule { }
