import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AddLivraisonPrestationComponent } from './add-livraison-prestation/add-livraison-prestation.component';
import { EditLivraisonPrestationComponent } from './edit-livraison-prestation/edit-livraison-prestation.component';
import { LivraisonPrestationListComponent } from './livraison-prestation-list/livraison-prestation-list.component';

const routes: Routes = [
  { path: 'list', component: LivraisonPrestationListComponent, data: { id: '9_11' }, canActivate: [AuthPermissionGuard]},
  { path: 'create', component: AddLivraisonPrestationComponent, data: { id: '9_111' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:prestation_id', component: EditLivraisonPrestationComponent, data: { id: '9_113' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:prestation_id', component: EditLivraisonPrestationComponent, data: { id: '9_112', readOnly: true }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class LivraisonPrestationRoutingModule { }
