import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ReportingPlanificationListComponent } from './reporting-planification-list/reporting-planification-list.component';
import { ReportingPlanificationEditComponent } from './reporting-planification-edit/reporting-planification-edit.component';
import { ReportingPlanificationAddComponent } from './reporting-planification-add/reporting-planification-add.component';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'detail/:plan_id',component: ReportingPlanificationEditComponent, data: { id: '10_2', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'list',component: ReportingPlanificationListComponent, data: { id: '10_0' }, canActivate: [AuthPermissionGuard]},
  { path: 'modify/:plan_id',component: ReportingPlanificationEditComponent, data: { id: '10_3' }, canActivate: [AuthPermissionGuard]},
  { path: 'create',component: ReportingPlanificationAddComponent, data: { id: '10_1' }, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ReportingPlanificationRoutingModule { }
