import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatButtonModule } from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import { MatDatepickerModule } from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import { MatRadioModule } from '@angular/material/radio';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { ComponentsModule } from "../../_components/components.module";
import { CustomDirectivesModule } from "../../_directives/custom-directives.module";
import { ReportingPlanificationRoutingModule } from './reporting-planification-routing.module';

import { ReportingPlanificationListComponent } from './reporting-planification-list/reporting-planification-list.component';
import { ReportingPlanificationEditComponent } from './reporting-planification-edit/reporting-planification-edit.component';
import { ReportingPlanificationAddComponent } from './reporting-planification-add/reporting-planification-add.component';

@NgModule({
  declarations: [
    ReportingPlanificationListComponent,
    ReportingPlanificationEditComponent,
    ReportingPlanificationAddComponent
  ],
  imports: [
    CommonModule,
    ReportingPlanificationRoutingModule,
    MatNativeDateModule,
    MatDatepickerModule,
    CommonModuleModule,
    MatRadioModule,
    MatDialogModule,
    MatSortModule,
    MatProgressSpinnerModule,
    MatProgressBarModule,
    MatPaginatorModule,
    MatTableModule,
    NgxMatIntlTelInputModule,
    MatAutocompleteModule,
    MatInputModule,
    MatSelectModule,
    MatIconModule,
    MatFormFieldModule,
    MatDividerModule,
    MatCardModule,
    MatButtonModule,
    MatSidenavModule,
    MatToolbarModule,
    ReactiveFormsModule,
    FormsModule,
    MatCheckboxModule,
    ComponentsModule,
    CustomDirectivesModule
  ]
})
export class ReportingPlanificationModule { }
