import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { ReportingRoutingModule } from './reporting-routing.module';
import {RouterModule} from "@angular/router";
import {FormsModule, ReactiveFormsModule} from "@angular/forms";
import {MatFormFieldModule} from "@angular/material/form-field";
import {MatDatepickerModule} from "@angular/material/datepicker";
import {MatIconModule} from "@angular/material/icon";
import {MatInputModule} from "@angular/material/input";
import {MatButtonModule} from "@angular/material/button";
import {ComponentsModule} from "../../_components/components.module";
import {CustomDirectivesModule} from "../../_directives/custom-directives.module";
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import {NgxSpinnerModule} from "ngx-spinner";
import {CommonModuleModule} from "../../custom-module/common-module/common-module.module";
import {MatSelectModule} from "@angular/material/select"
import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import {MatTableModule} from "@angular/material/table";
import {MatPaginatorModule} from "@angular/material/paginator";
import {MatSortModule} from "@angular/material/sort";

@NgModule({
  declarations: [
  ],
  imports: [
    CommonModule,
    RouterModule,
    FormsModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatDatepickerModule,
    MatIconModule,
    MatInputModule,
    MatButtonModule,
    MatSelectModule,
    MatTableModule,
    MatPaginatorModule,
    MatSortModule,
    NgxMatSelectSearchModule,
    ReportingRoutingModule,
    CustomDirectivesModule,
    CustomPipesModule,
    NgxSpinnerModule,
    CommonModuleModule,
    ComponentsModule
  ]
})
export class ReportingModule { }
