import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ServiceExpeditionListComponent } from './service-expedition-list/service-expedition-list.component';
import { AddServiceExpeditionComponent } from './add-service-expedition/add-service-expedition.component';
import { EditServiceExpeditionComponent } from './edit-service-expedition/edit-service-expedition.component';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'list', component: ServiceExpeditionListComponent, data: { id: '9_8' }, canActivate: [AuthPermissionGuard] },
  { path: 'create', component: AddServiceExpeditionComponent, data: { id: '9_81' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:service_expedition_id', component: EditServiceExpeditionComponent, data: { id: '9_83' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:service_expedition_id', component: EditServiceExpeditionComponent ,data: { id: '9_82', readOnly: true}, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class ServiceExpeditionRoutingModule { }
