import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import {MatCheckboxModule} from '@angular/material/checkbox';
import {HttpClientModule} from '@angular/common/http';
import { CustomDirectivesModule } from 'src/app/_directives/custom-directives.module';

import { ServiceExpeditionRoutingModule } from './service-expedition-routing.module';
import { ServiceExpeditionListComponent } from './service-expedition-list/service-expedition-list.component';
import { AddServiceExpeditionComponent } from './add-service-expedition/add-service-expedition.component';
import { EditServiceExpeditionComponent } from './edit-service-expedition/edit-service-expedition.component';


@NgModule({
  declarations: [
    ServiceExpeditionListComponent,
    AddServiceExpeditionComponent,
    EditServiceExpeditionComponent
  ],
  imports: [
    CommonModule,
    ServiceExpeditionRoutingModule,
    FormsModule,
    CustomDirectivesModule,
    HttpClientModule,
    MatCheckboxModule,
    MatNativeDateModule,
    MatDatepickerModule,
    CommonModuleModule,
    MatDialogModule,
    MatSortModule,
    MatProgressSpinnerModule,
    MatProgressBarModule,
    MatPaginatorModule,
    MatTableModule,
    NgxMatIntlTelInputModule,
    MatAutocompleteModule,
    MatInputModule,
    MatSelectModule,
    MatIconModule,
    MatFormFieldModule,
    MatDividerModule,
    MatCardModule,
    MatButtonModule,
    MatSidenavModule,
    MatToolbarModule,
    ReactiveFormsModule
  ]
})
export class ServiceExpeditionModule { }
