import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AddStorageLocationComponent } from './add-storage-location/add-storage-location.component';
import { EditStorageLocationComponent } from './edit-storage-location/edit-storage-location.component';
import { StorageLocationListComponent } from './storage-location-list/storage-location-list.component';



const routes: Routes = [
  { path: 'create', component: AddStorageLocationComponent, data: { id: '9_91111' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:location_id', component: EditStorageLocationComponent, data: { id: '9_91112', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: StorageLocationListComponent, data: { id: '9_1' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:location_id', component: EditStorageLocationComponent, data: { id: '9_91113' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class StorageLocationRoutingModule { }
