import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { CreateTransferDeStockComponent } from './create-transfer-de-stock/create-transfer-de-stock.component';
import { EditTransferDeStockComponent } from './edit-transfer-de-stock/edit-transfer-de-stock.component';
import { TransferDeStockListComponent } from './transfer-de-stock-list/transfer-de-stock-list.component';

const routes: Routes = [
  { path: 'create', component: CreateTransferDeStockComponent, data: { id: '3_21' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:document_no', component: EditTransferDeStockComponent, data: { id: '3_22' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:document_no', component: EditTransferDeStockComponent, data: { id: '3_23',readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: TransferDeStockListComponent, data: { id: '3_2' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TransferDeStockRoutingModule { }
