import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { TransferDeStockRoutingModule } from './transfer-de-stock-routing.module';
import { TransferDeStockListComponent } from './transfer-de-stock-list/transfer-de-stock-list.component';
import { CreateTransferDeStockComponent } from './create-transfer-de-stock/create-transfer-de-stock.component';
import { EditTransferDeStockComponent } from './edit-transfer-de-stock/edit-transfer-de-stock.component';




import { FormsModule } from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';

import {MatToolbarModule} from '@angular/material/toolbar';
import {MatSidenavModule} from '@angular/material/sidenav';
import {MatButtonModule} from '@angular/material/button';
import { MatCardModule } from '@angular/material/card';
import { MatDividerModule } from '@angular/material/divider';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatIconModule } from '@angular/material/icon';
import { MatSelectModule } from '@angular/material/select';
import { MatInputModule } from '@angular/material/input';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { NgxMatIntlTelInputModule } from 'ngx-mat-intl-tel-input';
import { MatTableModule } from '@angular/material/table';
import { MatPaginatorModule } from '@angular/material/paginator';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { MatProgressSpinnerModule } from '@angular/material/progress-spinner';
import { MatSortModule } from '@angular/material/sort';
import { MatDialogModule } from '@angular/material/dialog';
import { CommonModuleModule } from 'src/app/custom-module/common-module/common-module.module';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { MatNativeDateModule } from '@angular/material/core';
import {MatExpansionModule} from '@angular/material/expansion';

import {NgxMatSelectSearchModule} from "ngx-mat-select-search";
import {MatListModule} from '@angular/material/list';

import { CustomDirectivesModule } from '../../_directives/custom-directives.module';
import {ComponentsModule} from "../../_components/components.module";
import {MatTabsModule} from "@angular/material/tabs";
import {CustomPipesModule} from "../../_pipes/custom-pipes.module";
import {MatCheckboxModule} from "@angular/material/checkbox";

@NgModule({
  declarations: [
    TransferDeStockListComponent,
    CreateTransferDeStockComponent,
    EditTransferDeStockComponent
  ],
  imports: [
    CommonModule,
    TransferDeStockRoutingModule,
    FormsModule,
    ReactiveFormsModule,
    MatToolbarModule,
    MatSidenavModule,
    MatButtonModule,
    MatCardModule,
    MatDividerModule,
    MatFormFieldModule,
    MatIconModule,
    MatSelectModule,
    MatInputModule,
    MatAutocompleteModule,
    NgxMatIntlTelInputModule,
    MatTableModule,
    MatPaginatorModule,
    MatProgressBarModule,
    MatProgressSpinnerModule,
    MatSortModule,
    MatDialogModule,
    CommonModuleModule,
    MatDatepickerModule,
    MatNativeDateModule,
    NgxMatSelectSearchModule,
    MatListModule,
    MatExpansionModule,
    CustomDirectivesModule,
    MatTabsModule,
    MatCheckboxModule,
    ComponentsModule,
    CustomPipesModule
  ]
})
export class TransferDeStockModule { }
