import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';
import { AddTypeDeMaterialComponent } from './add-type-de-material/add-type-de-material.component';
import { EditTypeDeMaterialComponent } from './edit-type-de-material/edit-type-de-material.component';
import { TypeDeMaterialListComponent } from './type-de-material-list/type-de-material-list.component';

const routes: Routes = [
  { path: 'create', component: AddTypeDeMaterialComponent, data: { id: '9_41' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:material_id', component: EditTypeDeMaterialComponent, data: { id: '9_43' }, canActivate: [AuthPermissionGuard] },
  { path: 'detail/:material_id', component: EditTypeDeMaterialComponent, data: { id: '9_42', readOnly: true }, canActivate: [AuthPermissionGuard] },
  { path: 'list', component: TypeDeMaterialListComponent, data: { id: '9_4' }, canActivate: [AuthPermissionGuard] },
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TypeDeMaterialRoutingModule { }
  