import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { AddUserComponent } from './add-user/add-user.component';
import { UserListComponent } from './user-list/user-list.component';
import { EditUserComponent } from './edit-user/edit-user.component';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'list', component: UserListComponent, data: { id: '9_12' }, canActivate: [AuthPermissionGuard]},
  { path: 'create', component: AddUserComponent, data: { id: '9_121' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:user_id', component: EditUserComponent, data: { id: '9_123' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:user_id', component: EditUserComponent, data: { id: '9_122', readOnly: true }, canActivate: [AuthPermissionGuard]},
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserManagementRoutingModule { }
