import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { RolesListComponent } from './roles-list/roles-list.component';
import { AddRoleComponent } from './add-role/add-role.component';
import { EditRoleComponent } from './edit-role/edit-role.component';
import { AuthGuard } from 'src/app/_guards/auth.guard';
import { AuthPermissionGuard } from 'src/app/_guards/auth_permission.guard';

const routes: Routes = [
  { path: 'list', component: RolesListComponent, data: { id: '9_7' }, canActivate: [AuthPermissionGuard] },
  { path: 'create', component: AddRoleComponent, data: { id: '9_71' }, canActivate: [AuthPermissionGuard] },
  { path: 'modify/:role_id', component: EditRoleComponent, data: { id: '9_73' }, canActivate: [AuthPermissionGuard]},
  { path: 'detail/:role_id', component: EditRoleComponent , data: { id: '9_72', readOnly: true }, canActivate: [AuthPermissionGuard] }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class UserRoleRoutingModule { }
